# Generated by Django 2.2.3 on 2019-07-28 07:12

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('product', '0006_auto_20190728_0706'),
    ]

    operations = [
        migrations.CreateModel(
            name='PointComment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('upvote', models.IntegerField(default=0, validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(5)])),
            ],
            options={
                'verbose_name': 'Yoruma Puan',
                'verbose_name_plural': 'YOrumun Puanları',
            },
        ),
        migrations.RemoveField(
            model_name='comment',
            name='upvote',
        ),
        migrations.DeleteModel(
            name='Point',
        ),
        migrations.AddField(
            model_name='pointcomment',
            name='point_comment',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='product.Comment'),
        ),
    ]
